|  | Home | Documentation | soap_dom_attribute Class Reference updated Tue Feb 26 2019 by Robert van Engelen |

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Members

Public Types | Public Member Functions | Public Attributes | List of all members
soap_dom_attribute Class Reference

The xsd__anyAttribute DOM attribute node structure (xsd__anyAttribute is a typedef of soap_dom_attribute) More...

Collaboration diagram for soap_dom_attribute:
[legend]

## Public Types
typedef soap_dom_attribute_iterator | iterator

## Public Member Functions
| soap_dom_attribute (struct soap *soap=NULL)
| Construct new xsd__anyAttribute DOM attribute that is empty (must be set later) More...
| soap_dom_attribute (const soap_dom_attribute &att)
| Construct new xsd__anyAttribute DOM attribute by (shallow) copying another attribute. More...
| soap_dom_attribute (struct soap *soap, const char *tag)
| Construct new xsd__anyAttribute DOM attribute with (un)qualified tag name, same as xsd__anyAttribute(soap, NULL, tag, NULL) More...
| soap_dom_attribute (struct soap *soap, const wchar_t *tag)
| Construct new xsd__anyAttribute DOM attribute with (un)qualified tag name, same as xsd__anyAttribute(soap, NULL, tag, NULL) More...
| soap_dom_attribute (struct soap *soap, const char *ns, const char *tag, const char *text)
| Construct new xsd__anyAttribute DOM attribute with namespace URI (xmlns), (un)qualified tag name, and text. More...
| soap_dom_attribute (struct soap *soap, const char *ns, const char *tag, const wchar_t *text)
| Construct new xsd__anyAttribute DOM attribute with namespace URI (xmlns), (un)qualified tag name, and text. More...
| soap_dom_attribute (struct soap *soap, const char *ns, const wchar_t *tag, const char *text)
| Construct new xsd__anyAttribute DOM attribute with namespace URI (xmlns), (un)qualified tag name, and text. More...
| soap_dom_attribute (struct soap *soap, const char *ns, const wchar_t *tag, const wchar_t *text)
| Construct new xsd__anyAttribute DOM attribute with namespace URI (xmlns), (un)qualified tag name, and text. More...
| soap_dom_attribute (struct soap *soap, const char *ns, const char *tag, const std::string &text)
| Construct new xsd__anyAttribute DOM attribute with namespace URI (xmlns), (un)qualified tag name, and text. More...
| soap_dom_attribute (struct soap *soap, const char *ns, const char *tag, const std::wstring &text)
| Construct new xsd__anyAttribute DOM attribute with namespace URI (xmlns), (un)qualified tag name, and text. More...
| soap_dom_attribute (struct soap *soap, const char *ns, const wchar_t *tag, const std::string &text)
| Construct new xsd__anyAttribute DOM attribute with namespace URI (xmlns), (un)qualified tag name, and text. More...
| soap_dom_attribute (struct soap *soap, const char *ns, const wchar_t *tag, const std::wstring &text)
| Construct new xsd__anyAttribute DOM attribute with namespace URI (xmlns), (un)qualified tag name, and text. More...
| ~soap_dom_attribute ()
| Destructor (no-op, deletes are done by the managing context of this object) More...
soap_dom_attribute & | set (const char *ns, const char *tag)
| Set this xsd__anyAttribute DOM attribute namespace URI and tag name. More...
soap_dom_attribute & | set (const char *ns, const wchar_t *tag)
| Set this xsd__anyAttribute DOM attribute namespace URI and tag name. More...
soap_dom_attribute & | set (bool b)
| Set text of this xsd__anyAttribute DOM attribute node to Boolean "false" or "true". More...
soap_dom_attribute & | set (int n)
| Set text of this xsd__anyAttribute DOM attribute node to an integer value. More...
soap_dom_attribute & | set (LONG64 n)
| Set text of this xsd__anyAttribute DOM attribute node to a 64 bit integer value. More...
soap_dom_attribute & | set (float x)
| Set text of this xsd__anyAttribute DOM attribute node to a float value. More...
soap_dom_attribute & | set (double x)
| Set text of this xsd__anyAttribute DOM attribute node to a double float value. More...
soap_dom_attribute & | set (const char *text)
| Set text of this xsd__anyAttribute DOM attribute node. More...
soap_dom_attribute & | set (const wchar_t *text)
| Set text of this xsd__anyAttribute DOM attribute node. More...
soap_dom_attribute & | set (const std::string &text)
| Set text of this xsd__anyAttribute DOM attribute node. More...
soap_dom_attribute & | set (const std::wstring &text)
| Set text of this xsd__anyAttribute DOM attribute node. More...
soap_dom_attribute & | operator= (bool b)
| Set text of this xsd__anyAttribute DOM attribute node to Boolean "false" or "true", same as set(b) More...
soap_dom_attribute & | operator= (int n)
| Set text of this xsd__anyAttribute DOM attribute node to an integer value, same as set(n) More...
soap_dom_attribute & | operator= (LONG64 n)
| Set text of this xsd__anyAttribute DOM attribute node to a 64 bit integer value, same as set(n) More...
soap_dom_attribute & | operator= (float x)
| Set text of this xsd__anyAttribute DOM attribute node to a float value, same as set(x) More...
soap_dom_attribute & | operator= (double x)
| Set text of this xsd__anyAttribute DOM attribute node to a double float value, same as set(x) More...
soap_dom_attribute & | operator= (const char *text)
| Set text of this xsd__anyAttribute DOM attribute node, same as set(text) More...
soap_dom_attribute & | operator= (const wchar_t *text)
| Set text of this xsd__anyAttribute DOM attribute node, same as set(text) More...
soap_dom_attribute & | operator= (const std::string &text)
| Set text of this xsd__anyAttribute DOM attribute node, same as set(text) More...
soap_dom_attribute & | operator= (const std::wstring &text)
| Set text of this xsd__anyAttribute DOM attribute node, same as set(text) More...
soap_dom_attribute & | operator= (const soap_dom_attribute &att)
| Copy an xsd__anyAttribute DOM attribute node to this node (not a deep copy) More...
soap_dom_attribute & | att (const char *tag)
| Add an attribute node to this xsd__anyAttribute DOM attribute node to create or extend an attribute list, same as att(NULL, tag) More...
soap_dom_attribute & | att (const wchar_t *tag)
| Add an attribute node to this xsd__anyAttribute DOM attribute node to create or extend an attribute list, same as att(NULL, tag) More...
soap_dom_attribute & | att (const char *ns, const char *tag)
| Add an attribute node to this xsd__anyAttribute DOM attribute node to create or extend an attribute list. More...
soap_dom_attribute & | att (const char *ns, const wchar_t *tag)
| Add an attribute node to this xsd__anyAttribute DOM attribute node to create or extend an attribute list. More...
bool | match (const char *patt) const
| Match the namespace URI and tag name of this xsd__anyAttribute DOM attribute node against a pattern, same as match(NULL, patt) More...
bool | match (const wchar_t *patt) const
| Match the namespace URI and tag name of this xsd__anyAttribute DOM attribute node against a pattern, same as match(NULL, patt) More...
bool | match (const char *ns, const char *patt) const
| Match the namespace URI and tag name of this xsd__anyAttribute DOM attribute node against a pattern. More...
bool | match (const char *ns, const wchar_t *patt) const
| Match the namespace URI and tag name of this xsd__anyAttribute DOM attribute node against a pattern. More...
const char * | ns () const
| Get the namespace URI of this xsd__anyAttribute DOM attribute node. More...
const char * | tag () const
| Get the tag name of this xsd__anyAttribute DOM attribute node. More...
bool | is_true () const
| Return true if this xsd__anyAttribute DOM attribute node text is Boolean "true" or "1". More...
bool | is_false () const
| Return true if this xsd__anyAttribute DOM attribute node text is Boolean "false" or "0". More...
LONG64 | get_int () const
| Return 64 bit integer value of numeric text of this xsd__anyAttribute DOM attribute node. More...
double | get_double () const
| Return double float value of decimal text of this xsd__anyAttribute DOM attribute node. More...
const char * | get_text () const
| Return text of this xsd__anyAttribute DOM attribute node. More...
| operator bool () const
| Return true if this xsd__anyAttribute DOM attribute node text is Boolean "true" or "1", same as is_true() More...
| operator int () const
| Return integer value of numeric text of this xsd__anyAttribute DOM attribute node, same as (int)get_int() More...
| operator LONG64 () const
| Return 64 bit integer value of numeric text of this xsd__anyAttribute DOM attribute node, same as get_int() More...
| operator double () const
| Return double float value of decimal text of this xsd__anyAttribute DOM attribute node, same as get_double() More...
| operator const char * () const
| Return text of this xsd__anyAttribute DOM attribute node, same as get_text() More...
soap_dom_attribute_iterator | att_begin ()
| Return iterator to begin of attribute nodes starting with this attribute. More...
soap_dom_attribute_iterator | att_end ()
| Return iterator to end of attribute nodes. More...
soap_dom_attribute_iterator | att_find (const char *patt)
| Return iterator to search for matching attributes of this node, same as att_find(NULL, patt) More...
soap_dom_attribute_iterator | att_find (const wchar_t *patt)
| Return iterator to search for matching attributes of this node, same as att_find(NULL, patt) More...
soap_dom_attribute_iterator | att_find (const char *ns, const char *patt)
| Return iterator to search for matching attributes of this node. More...
soap_dom_attribute_iterator | att_find (const char *ns, const wchar_t *patt)
| Return iterator to search for matching attributes of this node. More...
void | unlink ()

## Public Attributes
struct soap_dom_attribute * | next
| next attribute node in list More...
const char * | nstr
| namespace string More...
const char * | name
| (un)qualified tag name More...
const char * | text
| text cdata in UTF-8 More...
struct soap * | soap
| context that manages this object More...

## Detailed Description

The xsd__anyAttribute DOM attribute node structure (xsd__anyAttribute is a typedef of soap_dom_attribute)

## Member Typedef Documentation

typedef soap_dom_attribute_iterator soap_dom_attribute::iterator

iterator over attribute list

## Constructor & Destructor Documentation

soap_dom_attribute::soap_dom_attribute | ( | struct soap * | soap = `NULL` | ) |

Construct new xsd__anyAttribute DOM attribute that is empty (must be set later)

Parameters

  soap | context that manages this object

soap_dom_attribute::soap_dom_attribute | ( | const soap_dom_attribute & | att | ) |

Construct new xsd__anyAttribute DOM attribute by (shallow) copying another attribute.

Parameters

  att | xsd__anyAttribute DOM attribute copied

soap_dom_attribute::soap_dom_attribute | ( | struct soap * | soap,
|  | const char * | tag
| ) |  |

Construct new xsd__anyAttribute DOM attribute with (un)qualified tag name, same as xsd__anyAttribute(soap, NULL, tag, NULL)

Parameters

  soap | context that manages this object
  tag | (un)qualified tag name string

soap_dom_attribute::soap_dom_attribute | ( | struct soap * | soap,
|  | const wchar_t * | tag
| ) |  |

Construct new xsd__anyAttribute DOM attribute with (un)qualified tag name, same as xsd__anyAttribute(soap, NULL, tag, NULL)

Parameters

  soap | context that manages this object
  tag | (un)qualified tag name wide string

soap_dom_attribute::soap_dom_attribute | ( | struct soap * | soap,
|  | const char * | ns,
|  | const char * | tag,
|  | const char * | text
| ) |  |

Construct new xsd__anyAttribute DOM attribute with namespace URI (xmlns), (un)qualified tag name, and text.

Parameters

  soap | context that manages this object
  ns | namespace URI string or NULL
  tag | (un)qualified tag name string
  text | string

soap_dom_attribute::soap_dom_attribute | ( | struct soap * | soap,
|  | const char * | ns,
|  | const char * | tag,
|  | const wchar_t * | text
| ) |  |

Construct new xsd__anyAttribute DOM attribute with namespace URI (xmlns), (un)qualified tag name, and text.

Parameters

  soap | context that manages this object
  ns | namespace URI string or NULL
  tag | (un)qualified tag name string
  text | wide string

soap_dom_attribute::soap_dom_attribute | ( | struct soap * | soap,
|  | const char * | ns,
|  | const wchar_t * | tag,
|  | const char * | text
| ) |  |

Construct new xsd__anyAttribute DOM attribute with namespace URI (xmlns), (un)qualified tag name, and text.

Parameters

  soap | context that manages this object
  ns | namespace URI string or NULL
  tag | (un)qualified tag name wide string
  text | string

soap_dom_attribute::soap_dom_attribute | ( | struct soap * | soap,
|  | const char * | ns,
|  | const wchar_t * | tag,
|  | const wchar_t * | text
| ) |  |

Construct new xsd__anyAttribute DOM attribute with namespace URI (xmlns), (un)qualified tag name, and text.

Parameters

  soap | context that manages this object
  ns | namespace URI string or NULL
  tag | (un)qualified tag name wide string
  text | wide string

soap_dom_attribute::soap_dom_attribute | ( | struct soap * | soap,
|  | const char * | ns,
|  | const char * | tag,
|  | const std::string & | text
| ) |  |

Construct new xsd__anyAttribute DOM attribute with namespace URI (xmlns), (un)qualified tag name, and text.

Parameters

  soap | context that manages this object
  ns | namespace URI string or NULL
  tag | (un)qualified tag name string
  text | string

soap_dom_attribute::soap_dom_attribute | ( | struct soap * | soap,
|  | const char * | ns,
|  | const char * | tag,
|  | const std::wstring & | text
| ) |  |

Construct new xsd__anyAttribute DOM attribute with namespace URI (xmlns), (un)qualified tag name, and text.

Parameters

  soap | context that manages this object
  ns | namespace URI string or NULL
  tag | (un)qualified tag name string
  text | wide string

soap_dom_attribute::soap_dom_attribute | ( | struct soap * | soap,
|  | const char * | ns,
|  | const wchar_t * | tag,
|  | const std::string & | text
| ) |  |

Construct new xsd__anyAttribute DOM attribute with namespace URI (xmlns), (un)qualified tag name, and text.

Parameters

  soap | context that manages this object
  ns | namespace URI string or NULL
  tag | (un)qualified tag name wide string
  text | string

soap_dom_attribute::soap_dom_attribute | ( | struct soap * | soap,
|  | const char * | ns,
|  | const wchar_t * | tag,
|  | const std::wstring & | text
| ) |  |

Construct new xsd__anyAttribute DOM attribute with namespace URI (xmlns), (un)qualified tag name, and text.

Parameters

  soap | context that manages this object
  ns | namespace URI string or NULL
  tag | (un)qualified tag name wide string
  text | wide string

soap_dom_attribute::~soap_dom_attribute | ( |  | ) |

Destructor (no-op, deletes are done by the managing context of this object)

## Member Function Documentation

soap_dom_attribute& soap_dom_attribute::att | ( | const char * | tag | ) |

Add an attribute node to this xsd__anyAttribute DOM attribute node to create or extend an attribute list, same as att(NULL, tag)

Parameters

  tag | (un)qualified tag name string of attribute

Returns
  reference to xsd__anyAttribute attribute node (new attribute node if none matches in the list)

soap_dom_attribute& soap_dom_attribute::att | ( | const wchar_t * | tag | ) |

Add an attribute node to this xsd__anyAttribute DOM attribute node to create or extend an attribute list, same as att(NULL, tag)

Parameters

  tag | (un)qualified tag name wide string of attribute

Returns
  reference to xsd__anyAttribute attribute node (new attribute node if none matches in the list)

soap_dom_attribute& soap_dom_attribute::att | ( | const char * | ns,
|  | const char * | tag
| ) |  |

Add an attribute node to this xsd__anyAttribute DOM attribute node to create or extend an attribute list.

Parameters

  ns | namespace URI string or NULL of attribute
  tag | (un)qualified tag name string of attribute

Returns
  reference to xsd__anyAttribute attribute node (new attribute node if none matches in the list)

soap_dom_attribute& soap_dom_attribute::att | ( | const char * | ns,
|  | const wchar_t * | tag
| ) |  |

Add an attribute node to this xsd__anyAttribute DOM attribute node to create or extend an attribute list.

Parameters

  ns | namespace URI string or NULL of attribute
  tag | (un)qualified tag name wide string of attribute

Returns
  reference to xsd__anyAttribute attribute node (new attribute node if none matches in the list)

soap_dom_attribute_iterator soap_dom_attribute::att_begin | ( |  | ) |

Return iterator to begin of attribute nodes starting with this attribute.

Returns
  xsd__anyAttribute::iterator

soap_dom_attribute_iterator soap_dom_attribute::att_end | ( |  | ) |

Return iterator to end of attribute nodes.

Returns
  xsd__anyAttribute::iterator

soap_dom_attribute_iterator soap_dom_attribute::att_find | ( | const char * | patt | ) |

Return iterator to search for matching attributes of this node, same as att_find(NULL, patt)

Parameters

  patt | (un)qualified tag name string pattern (NULL, "*", and "*:*" match any)

Returns
  xsd__anyAttribute::iterator

soap_dom_attribute_iterator soap_dom_attribute::att_find | ( | const wchar_t * | patt | ) |

Return iterator to search for matching attributes of this node, same as att_find(NULL, patt)

Parameters

  patt | (un)qualified tag name wide string pattern (NULL, "*", and "*:*" match any)

Returns
  xsd__anyAttribute::iterator

soap_dom_attribute_iterator soap_dom_attribute::att_find | ( | const char * | ns,
|  | const char * | patt
| ) |  |

Return iterator to search for matching attributes of this node.

Parameters

  ns | namespace URI string pattern ("*" matches any, "" matches the null (empty) namespace, NULL matches the null (empty) namespace if tag is unqualified or the namespace from namespace table if tag is qualified)
  patt | (un)qualified tag name string pattern (NULL, "*", and "*:*" match any)

Returns
  xsd__anyAttribute::iterator

soap_dom_attribute_iterator soap_dom_attribute::att_find | ( | const char * | ns,
|  | const wchar_t * | patt
| ) |  |

Return iterator to search for matching attributes of this node.

Parameters

  ns | namespace URI string pattern ("*" matches any, "" matches the null (empty) namespace, NULL matches the null (empty) namespace if tag is unqualified or the namespace from namespace table if tag is qualified)
  patt | (un)qualified tag name string pattern (NULL, "*", and "*:*" match any)

Returns
  xsd__anyAttribute::iterator

double soap_dom_attribute::get_double | ( |  | ) | const

Return double float value of decimal text of this xsd__anyAttribute DOM attribute node.

Returns
  double float value or NaN if text is not numeric

LONG64 soap_dom_attribute::get_int | ( |  | ) | const

Return 64 bit integer value of numeric text of this xsd__anyAttribute DOM attribute node.

Returns
  64 bit integer value or 0 if text is not numeric

const char* soap_dom_attribute::get_text | ( |  | ) | const

Return text of this xsd__anyAttribute DOM attribute node.

Returns
  string or NULL

bool soap_dom_attribute::is_false | ( |  | ) | const

Return true if this xsd__anyAttribute DOM attribute node text is Boolean "false" or "0".

Returns
  true if "false" or "0"

bool soap_dom_attribute::is_true | ( |  | ) | const

Return true if this xsd__anyAttribute DOM attribute node text is Boolean "true" or "1".

Returns
  true if "true" or "1"

bool soap_dom_attribute::match | ( | const char * | patt | ) | const

Match the namespace URI and tag name of this xsd__anyAttribute DOM attribute node against a pattern, same as match(NULL, patt)

Parameters

  patt | (un)qualified tag name string pattern (NULL, "*", and "*:*" match any)

Returns
  true if match

bool soap_dom_attribute::match | ( | const wchar_t * | patt | ) | const

Match the namespace URI and tag name of this xsd__anyAttribute DOM attribute node against a pattern, same as match(NULL, patt)

Parameters

  patt | (un)qualified tag name wide string pattern (NULL, "*", and "*:*" match any)

Returns
  true if match

bool soap_dom_attribute::match | ( | const char * | ns,
|  | const char * | patt
| ) |  | const

Match the namespace URI and tag name of this xsd__anyAttribute DOM attribute node against a pattern.

Parameters

  ns | namespace URI string pattern ("*" matches any, NULL and "" match the null (empty) namespace)
  patt | (un)qualified tag name string pattern (NULL, "*", and "*:*" match any)

Returns
  true if match

bool soap_dom_attribute::match | ( | const char * | ns,
|  | const wchar_t * | patt
| ) |  | const

Match the namespace URI and tag name of this xsd__anyAttribute DOM attribute node against a pattern.

Parameters

  ns | namespace URI string pattern ("*" matches any, NULL and "" match the null (empty) namespace)
  patt | (un)qualified tag name wide string pattern (NULL, "*", and "*:*" match any)

Returns
  true if match

const char* soap_dom_attribute::ns | ( |  | ) | const

Get the namespace URI of this xsd__anyAttribute DOM attribute node.

Returns
  namespace URI string or NULL

soap_dom_attribute::operator bool | ( |  | ) | const

Return true if this xsd__anyAttribute DOM attribute node text is Boolean "true" or "1", same as is_true()

Returns
  true if "true" or "1"

soap_dom_attribute::operator const char * | ( |  | ) | const

Return text of this xsd__anyAttribute DOM attribute node, same as get_text()

Returns
  string or NULL

soap_dom_attribute::operator double | ( |  | ) | const

Return double float value of decimal text of this xsd__anyAttribute DOM attribute node, same as get_double()

Returns
  double float value or NaN if text is not numeric

soap_dom_attribute::operator int | ( |  | ) | const

Return integer value of numeric text of this xsd__anyAttribute DOM attribute node, same as (int)get_int()

Returns
  integer value or 0 if text is not numeric

soap_dom_attribute::operator LONG64 | ( |  | ) | const

Return 64 bit integer value of numeric text of this xsd__anyAttribute DOM attribute node, same as get_int()

Returns
  64 bit integer value or 0 if text is not numeric

soap_dom_attribute& soap_dom_attribute::operator= | ( | bool | b | ) |

Set text of this xsd__anyAttribute DOM attribute node to Boolean "false" or "true", same as set(b)

Parameters

  b | Boolean value

Returns
  reference to *this

soap_dom_attribute& soap_dom_attribute::operator= | ( | int | n | ) |

Set text of this xsd__anyAttribute DOM attribute node to an integer value, same as set(n)

Parameters

  n | integer value

Returns
  reference to *this

soap_dom_attribute& soap_dom_attribute::operator= | ( | LONG64 | n | ) |

Set text of this xsd__anyAttribute DOM attribute node to a 64 bit integer value, same as set(n)

Parameters

  n | 64 bit integer value

Returns
  reference to *this

soap_dom_attribute& soap_dom_attribute::operator= | ( | float | x | ) |

Set text of this xsd__anyAttribute DOM attribute node to a float value, same as set(x)

Parameters

  x | float value (NaN and +/-INF are also supported)

Returns
  reference to *this

soap_dom_attribute& soap_dom_attribute::operator= | ( | double | x | ) |

Set text of this xsd__anyAttribute DOM attribute node to a double float value, same as set(x)

Parameters

  x | double float value (NaN and +/-INF are also supported)

Returns
  reference to *this

soap_dom_attribute& soap_dom_attribute::operator= | ( | const char * | text | ) |

Set text of this xsd__anyAttribute DOM attribute node, same as set(text)

Parameters

  text | string or NULL

Returns
  reference to *this

soap_dom_attribute& soap_dom_attribute::operator= | ( | const wchar_t * | text | ) |

Set text of this xsd__anyAttribute DOM attribute node, same as set(text)

Parameters

  text | wide string or NULL

Returns
  reference to *this

soap_dom_attribute& soap_dom_attribute::operator= | ( | const std::string & | text | ) |

Set text of this xsd__anyAttribute DOM attribute node, same as set(text)

Parameters

  text | string or NULL

Returns
  reference to *this

soap_dom_attribute& soap_dom_attribute::operator= | ( | const std::wstring & | text | ) |

Set text of this xsd__anyAttribute DOM attribute node, same as set(text)

Parameters

  text | wide string or NULL

Returns
  reference to *this

soap_dom_attribute& soap_dom_attribute::operator= | ( | const soap_dom_attribute & | att | ) |

Copy an xsd__anyAttribute DOM attribute node to this node (not a deep copy)

Parameters

  att | pointer to xsd__anyAttribute DOM attribute node to copy from

Returns
  reference to *this

soap_dom_attribute& soap_dom_attribute::set | ( | const char * | ns,
|  | const char * | tag
| ) |  |

Set this xsd__anyAttribute DOM attribute namespace URI and tag name.

Parameters

  ns | namespace URI string or NULL
  tag | (un)qualified tag name string

Returns
  reference to *this

soap_dom_attribute& soap_dom_attribute::set | ( | const char * | ns,
|  | const wchar_t * | tag
| ) |  |

Set this xsd__anyAttribute DOM attribute namespace URI and tag name.

Parameters

  ns | namespace URI string or NULL
  tag | (un)qualified tag name string

Returns
  reference to *this

soap_dom_attribute& soap_dom_attribute::set | ( | bool | b | ) |

Set text of this xsd__anyAttribute DOM attribute node to Boolean "false" or "true".

Parameters

  b | Boolean value

Returns
  reference to *this

soap_dom_attribute& soap_dom_attribute::set | ( | int | n | ) |

Set text of this xsd__anyAttribute DOM attribute node to an integer value.

Parameters

  n | integer value

Returns
  reference to *this

soap_dom_attribute& soap_dom_attribute::set | ( | LONG64 | n | ) |

Set text of this xsd__anyAttribute DOM attribute node to a 64 bit integer value.

Parameters

  n | 64 bit integer value

Returns
  reference to *this

soap_dom_attribute& soap_dom_attribute::set | ( | float | x | ) |

Set text of this xsd__anyAttribute DOM attribute node to a float value.

Parameters

  x | float value (NaN and +/-INF are also supported)

Returns
  reference to *this

soap_dom_attribute& soap_dom_attribute::set | ( | double | x | ) |

Set text of this xsd__anyAttribute DOM attribute node to a double float value.

Parameters

  x | double float value (NaN and +/-INF are also supported)

Returns
  reference to *this

soap_dom_attribute& soap_dom_attribute::set | ( | const char * | text | ) |

Set text of this xsd__anyAttribute DOM attribute node.

Parameters

  text | string or NULL

Returns
  reference to *this

soap_dom_attribute& soap_dom_attribute::set | ( | const wchar_t * | text | ) |

Set text of this xsd__anyAttribute DOM attribute node.

Parameters

  text | wide string or NULL

Returns
  reference to *this

soap_dom_attribute& soap_dom_attribute::set | ( | const std::string & | text | ) |

Set text of this xsd__anyAttribute DOM attribute node.

Parameters

  text | string or NULL

Returns
  reference to *this

soap_dom_attribute& soap_dom_attribute::set | ( | const std::wstring & | text | ) |

Set text of this xsd__anyAttribute DOM attribute node.

Parameters

  text | wide string or NULL

Returns
  reference to *this

const char* soap_dom_attribute::tag | ( |  | ) | const

Get the tag name of this xsd__anyAttribute DOM attribute node.

Returns
  tag name string or NULL

void soap_dom_attribute::unlink | ( |  | ) |

## Member Data Documentation

const char* soap_dom_attribute::name

(un)qualified tag name

struct soap_dom_attribute* soap_dom_attribute::next

next attribute node in list

const char* soap_dom_attribute::nstr

namespace string

struct soap* soap_dom_attribute::soap

context that manages this object

const char* soap_dom_attribute::text

text cdata in UTF-8

The documentation for this class was generated from the following file:

- dom.cpp